#
# spec file for package glib2 (Version 2.17.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           glib2
%define _name glib
BuildRequires:  fam-devel fdupes pcre-devel pkg-config
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Version:        2.17.6
Release:        1
Summary:        A Library with Convenient Functions Written in C
Url:            http://www.gtk.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.14/%{_name}-%{version}.tar.bz2
Source1:        glib2.sh
Source2:        glib2.csh
Source3:        SuSEconfig.glib2
# Not upsteam file. Only proposes upstream packages:
Source4:        glib2-upstream-gnome_defaults.conf
# Not depending on gtk-doc shortens bootstrap compilation path.
# Please update this file from the latest gtk-doc package:
Source5:        gtk-doc.m4
# PATCH-FIX-OPENSUSE glib2-mkinstalldirs.patch
Patch0:         glib2-mkinstalldirs.patch
# PATCH-FIX-OPENSUSE glib2-aclocal.patch
Patch1:         glib2-aclocal.patch
# PATCH-FIX-UPSTREAM glib2-libtool.diff schwab@suse.de -- apparently configure.in is invoking libtool in a bad way
Patch6:         glib2-libtool.diff
# PATCH-FIX-OPENSUSE glib2-bnc379332-desktop-su.patch bnc379332 vuntz@novell.com -- Use X-KDE-SubstituteUID
Patch8:         glib2-bnc379332-desktop-su.patch
# PATCH-FIX-UPSTREAM glib2-base64.patch pchenthill@novell.com bnc382708
Patch9:         glib2-base64.patch
Patch10:        glib-2.17.3-implicitdecl.patch
# PATCH-FEATURE-OPENSUSE glib2-fate300461-desktop-gettext.patch fate300461 vuntz@novell.com -- Look for translation of desktop entry strings via gettext
Patch11:        glib2-fate300461-desktop-gettext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
# For temporary %%pre script only.
PreReq:         coreutils
PreReq:         /bin/sed
# Conflicts with gnome_defaults.conf from gnome-vfs2 in 10.3
Conflicts:      gnome-vfs2 < 2.22.0
Requires:       %{name}-branding

%description
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package branding-upstream
License:        LGPL v2.1 or later
Summary:        Definition of GNOME Default Applications
Group:          Development/Libraries/C and C++
Provides:       %{name}-branding = %{version}
Supplements:    packageand(branding-upstream:%{name})
#BRAND: The /etc/gnome_defaults.conf allows to define arbitrary
#BRAND: applications as preferred defaults.
# NOTE: gnome_defaults is not an upstream feature, but a SuSE
# enhancement, but to conform branding conventions, the package is named
# as glib2-branding-upstream.

%description branding-upstream
This branding-style package sets default applications in GNOME in
openSUSE.

This is a dumb package, which provides only upstream GNOME packages as
preferred defaults. You most probably don't want this package. You
probably want to install distribution default glib2-branding and prefer
distribution wise GNOME defaults.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package devel
#'
License:        GPL v2 or later
Requires:       %{name} = %{version} pcre-devel pkg-config glibc-devel
# Now require the subpackages too
Requires:       libglib-2_0-0
Requires:       libgmodule-2_0-0
Requires:       libgio-2_0-0
Requires:       libgthread-2_0-0
Requires:       libgobject-2_0-0
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/C and C++
AutoReqProv:    on

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using the glib library.

The glib library provides convenient functions, such as lists and
hashes, to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libglib-2_0-0
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n libglib-2_0-0
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libgmodule-2_0-0
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n libgmodule-2_0-0
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libgio-2_0-0
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Temporarily disable this, pending further discussion
# Recommends:     gvfs

%description -n libgio-2_0-0
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libgio-fam
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Supplements:    packageand(libgio-2_0-0:fam)

%description -n libgio-fam
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libgthread-2_0-0
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n libgthread-2_0-0
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package -n libgobject-2_0-0
License:        LGPL v2.1 or later
Summary:        A Library with Convenient Functions Written in C
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description -n libgobject-2_0-0
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package doc
License:        GPL v2 or later
Summary:        Documentation for the C Library with Convenience Functions
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       %{name} = %{version}

%description doc
This package contains additional documentation for the glib2 library.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch0
%patch1
%patch6
%patch8
%patch9
%patch10
%patch11 -p1
cp -a %{S:1} %{S:2} %{S:3} .
cp -a %{S:4} gnome_defaults.conf
if ! test -f %{_datadir}/aclocal/gtk-doc.m4 ; then
    cp -a %{S:5} m4macros/
fi

%build
autoreconf -fiv
# needed for glib-2.12.4:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --enable-static \
    --with-pcre=system
%{__make} %{?jobs:-j%jobs}

%check
%{__make} %{?jobs:-j%jobs} check

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -D -m0755 glib2.sh $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.sh
install -D -m0755 glib2.csh $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.csh
install -D -m0755 SuSEconfig.glib2 $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.glib2
install -D -m0644 gnome_defaults.conf $RPM_BUILD_ROOT%{_sysconfdir}/gnome_defaults.conf
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/gio-2.0 $RPM_BUILD_ROOT%{_datadir}/applications
touch $RPM_BUILD_ROOT%{_localstatedir}/cache/gio-2.0/defaults.list
ln -s %{_localstatedir}/cache/gio-2.0/defaults.list $RPM_BUILD_ROOT%{_datadir}/applications/defaults.list
chmod +x $RPM_BUILD_ROOT/%{_bindir}/gtester-report
rm $RPM_BUILD_ROOT%{_libdir}/gio/modules/libgiofam.*a
%find_lang %{_name}20
%fdupes $RPM_BUILD_ROOT
%posttrans
# If it is an upgrade and gnome_defaults.conf were edited,
# move it from its old location. (Upgrade from <= 10.2)
if test -f etc/opt/gnome/gnome_defaults.conf.rpmsave ; then
    mv etc/gnome_defaults.conf etc/gnome_defaults.conf.rpmnew
    sed "s:etc/opt/gnome:etc:g;s:opt/gnome:usr:g" <etc/opt/gnome/gnome_defaults.conf.rpmsave >etc/gnome_defaults.conf
fi
# If it is an upgrade and gnome_defaults.conf were edited,
# revive it from the RPM backup. (Upgrade from == 10.3)
if test -f etc/gnome_defaults.conf.rpmsave ; then
    mv etc/gnome_defaults.conf etc/gnome_defaults.conf.rpmnew
    mv etc/gnome_defaults.conf.rpmsave etc/gnome_defaults.conf
fi

%post -n libglib-2_0-0 -p /sbin/ldconfig

%post -n libgobject-2_0-0 -p /sbin/ldconfig

%post -n libgthread-2_0-0 -p /sbin/ldconfig

%post -n libgio-2_0-0 -p /sbin/ldconfig

%post -n libgmodule-2_0-0 -p /sbin/ldconfig

%postun -n libglib-2_0-0 -p /sbin/ldconfig

%postun -n libgobject-2_0-0 -p /sbin/ldconfig

%postun -n libgthread-2_0-0 -p /sbin/ldconfig

%postun -n libgio-2_0-0 -p /sbin/ldconfig

%postun -n libgmodule-2_0-0 -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{_datadir}/applications/defaults.list
/etc/profile.d/zzz-glib2.*
/sbin/conf.d/SuSEconfig.glib2
%dir %{_libdir}/gio
%dir %{_libdir}/gio/modules

%files branding-upstream
%defattr(-,root,root)
%config (noreplace) %{_sysconfdir}/gnome_defaults.conf

%files -n libglib-2_0-0
%defattr(-, root, root)
%{_libdir}/libglib*.so.*

%files -n libgmodule-2_0-0
%defattr(-, root, root)
%{_libdir}/libgmodule*.so.*

%files -n libgobject-2_0-0
%defattr(-, root, root)
%{_libdir}/libgobject*.so.*

%files -n libgthread-2_0-0
%defattr(-, root, root)
%{_libdir}/libgthread*.so.*

%files -n libgio-2_0-0
%defattr(-, root, root)
%{_libdir}/libgio*.so.*
%dir %{_localstatedir}/cache/gio-2.0
%ghost %{_localstatedir}/cache/gio-2.0/defaults.list

%files -n libgio-fam
%defattr(-,root,root)
%{_libdir}/gio/modules/libgiofam.so

%files lang -f %{_name}20.lang

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_datadir}/glib-2.0
%{_includedir}/glib-2.0
%{_includedir}/gio-unix-2.0
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/glib-2.0
%{_libdir}/pkgconfig/*.pc
%doc %{_mandir}/man*/*

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gio
%{_datadir}/gtk-doc/html/glib
%{_datadir}/gtk-doc/html/gobject
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Wed Aug 06 2008 maw@suse.de
- Update to version 2.17.6:
  + g_markup_context_get_user_data: New function to access the
  user_data outside of callbacks
  + GIO:
  + g_mount_guess_content_type_sync: synchronous version of
  g_mount_guess_content_type
  + GEmblem: A GIcon implementation that adds emblem-related
  metadata to icons
  + GEmblemedIcon: A GIcon implementation that can add emblems
  to icons
  + Bugs fixed: bgo#544088, bgo#544465, bgo#545485, bgo#545798,
  bgo#544140, bgo#529694, bgo#545157, bgo#545203, bgo#545457,
  bgo#544177, bgo#545395, bgo#541036, bgo#546079, bgo#545395,
  and bgo#546017
  + Updated translations.
* Thu Jul 31 2008 maw@suse.de
- Update to version 2.17.4:
  + GIO:
  * New API to handle content types: g_mount_guess_content_type,
  g_content_type_guess_for_tree
  * Export the eject-button signal on the volume monitor class
  * New API to enable out-of-process volume monitors:
  g_volume_get_activation_root
  + GObject:
  * New API to handle signals without slots in the class
  structure: g_signal_new_class_handler and
  g_signal_override_class_handler
  + Internationalization:
  + Add an NC_ macro that is a no-op equivalent of C_
  + GMarkup:
  * Add two new functions, g_markup_parse_context_push and
  g_markup_parse_context_pop, to support "subparsers"
  + Bugs fixed: bgo#541208, bgo#541507, bgo#543040, bgo#543560,
  bgo#528317, bgo#337518, bgo#541794, bgo#541793, bgo#467707,
  bgo#428048, bgo#542332, bgo#482413, bgo#406120, bgo#334234,
  bgo#536996, bgo#540616, bgo#539229, bgo#521589, bgo#543168,
  bgo#543220, bgo#530759, bgo#535223, and bgo#543504
  + Updated translations
- Tag glib-2.17.3-implicitdecl.patch.
* Mon Jul 28 2008 vuntz@novell.com
- Add glib2-fate300461-desktop-gettext.patch to support
  translation of desktop entries via gettext, using the
  X-SUSE-Gettext-Domain key. The patch is based on a similar patch
  from Ubuntu. This is part of fate#300461
* Fri Jul 25 2008 sbrabec@suse.cz
- nautilus-folder-handler added to gnome-defaults.conf (bnc#410728)
* Sat Jul 19 2008 crrodriguez@suse.de
- fix build
- incidentally, this also fixes a massive PPC problems, caused
  by endianness bug, GTK2 build failed causing chain-of-errors
  resulting in misleading libglitz.la related build failures.
- run make check, so the next time, the previous problem is catched
  before it breaks everything.
* Wed Jul 16 2008 maw@suse.de
- Update to version 2.17.3:
  + Bugs fixed: bgo#538119, bgo#537635, bgo#539067, bgo#535949,
  bgo#539123, bgo#539074, bgo#316221, bgo#539770, bgo#539626,
  bgo#538044, bgo#540545, bgo#535947, bgo#539999, bgo#536252,
  bgo#538362, bgo#540802, bgo#540423, bgo#538836, bgo#539090,
  bgo#540331, bgo#534639, bgo#536733, bgo#536160, bgo#538127,
  bgo#531476, bgo#538564, and bgo#540047
  + Updated translations
  + The version of PCRE included in 2.17.3 has been fixed with
  respect to CVE-2008-2371; note, however, that as of 10.3/11.0,
  SUSE's glib2 packages use the system PCRE.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.17.2:
  + New function: g_utime(), a gstdio wrapper for utime()
  + New functions: g_dgettext() and g_dngettext(), wrappers
  for corresponding gettext functions with added functionaliy
  + Support the latest version of the shared-mime spec, including
  icons for mime types
  + New function: g_themed_icon_prepend_name()
  + Bugs fixed: bgo#35418, bgo#28715, bgo#28714, bgo#37260,
  bgo#30527, bgo#30526, bgo#28719, bgo#28172, bgo#28717,
  bgo#28716, bgo#37555, bgo#37546, bgo#37392, bgo#36641,
  bgo#28600, bgo#03071, bgo#02511, bgo#38162, bgo#14453,
  bgo#29321, bgo#55215, bgo#98732, bgo#11367, bgo#31900,
  bgo#36158, bgo#31403, bgo#35628, and bgo#35625
  + Updated translations.
* Fri Jun 06 2008 maw@suse.de
- Update to version 2.17.0:
  + Update to Unicode 5.1
  + Update included libcharset to the one shipped with libiconv
  0.12
  + Update included PCRE to 7.7 (note, however, that this package
  uses the system's PCRE)
  + Enforce that only toplevel headers are directly included; this
  is turned on by default for GObject and GIO; to turn it on for
  GLib, define G_DISABLE_SINGLE_INCLUDES
  + Fix library version of GIO; GLib 2.16 shipped with
  libgio-2.0.so.0.0.0
  + Use the GIO_EXTRA_MODULES environment variable to find
  additional GIO modules
  + G_GNUC_ALLOC_SIZE: New macro that wraps the gcc alloc_size
  function attribute
  + g_checksum_reset: New function to reset the state of a
  GChecksum
  + g_unix_mount_monitor_set_rate_limit: New function to limit the
  rate at which events are reported
  + g_file_query_file_type: New utility function to query the type
  of a file
  + g_memory_output_stream_get_data_size: New function to obtain the
  size of the written data.
  + Bugs fixed: bgo#522292, bgo#523298, bgo#518160, bgo#523877,
  bgo#525192, bgo#315437, bgo#524314, bgo#525732, bgo#525674,
  bgo#448943, bgo#525972, bgo#526619, bgo#491554, bgo#519137,
  bgo#528752, bgo#530457, bgo#528667, bgo#459905, bgo#534085,
  bgo#501651, bgo#519026, bgo#534319, bgo#534137, bgo#517419,
  bgo#526796, bgo#530196, bgo#532965, bgo#525553, bgo#526572,
  bgo#528648, bgo#535021, bgo#521513, bgo#528433, bgo#533369,
  bgo#521045, bgo#521672, bgo#521946, bgo#522335, bgo#523015,
  bgo#523019, bgo#523338, bgo#524350, bgo#524579, bgo#524742,
  bgo#524950, bgo#525866, bgo#526320, bgo#527132, bgo#532852,
  bgo#534759, bgo#534764, bgo#521851, bgo#524344, bgo#525060,
  bgo#534177, bgo#520715, and bgo#523039
  + Updated translations
- Remove upstreamed patches: glib2-allocsize.patch,
  glib2-bnc373149-bgo518160-gbookmark-optimizations.diff,
  glib2-bnc373149-bgo523877-gbookmark-optimizations.diff,
  glib2-fix-bookmark-leak.diff,
  glib2-bnc379739-handle-blank-tryexec.patch, and
  glib2-bnc387387-gio-hide-inaccessible-mounts.patch.
* Mon May 19 2008 hpj@suse.de
- Add glib2-bnc387387-gio-hide-inaccessible-mounts.patch
  (bnc#387387).
* Tue May 13 2008 hpj@suse.de
- Add glib2-bnc379739-handle-blank-tryexec.patch (bnc#379739).
* Mon May 12 2008 maw@suse.de
- Add glib2-base64.patch (bnc#382708).
* Sun May 11 2008 coolo@suse.de
- fix rename of xxbit packages
* Tue May 06 2008 schwab@suse.de
- Don't use libtool before it is created.
* Mon May 05 2008 sbrabec@suse.cz
- Prefer eog over evince for image/tiff in gnome_defaults
  (bnc#346517).
* Thu May 01 2008 vuntz@suse.de
- Add glib2-bnc379332-desktop-su.patch to launch .desktop files as
  root when X-KDE-SubstituteUID and X-KDE-RootOnly are there.
  Fix bnc#379332.
* Tue Apr 29 2008 cthiel@suse.de
- obsolete glib2-<arch> via baselibs.conf
* Mon Apr 21 2008 hpj@suse.de
- Dropped previously disabled glib2-cast.patch.
* Mon Apr 14 2008 maw@suse.de
- Add glib2-fix-bookmark-leak.diff.
* Mon Apr 14 2008 sbrabec@suse.cz
- Use packageand form of branding supplement and removed self
  conflict.
* Fri Apr 11 2008 maw@suse.de
- Tag glib2-libtool.diff, which was added in the previous
  submission.
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Wed Apr 09 2008 maw@suse.de
- Update to version 2.16.3:
  + Bugs fixed: bgo#521513, bgo#316221, bgo#520914, bgo#521045,
  bgo#521591, bgo#521672, bgo#522292, bgo#522335, bgo#523015,
  bgo#523298, bgo#523338, bgo#524350, bgo#524579, bgo#524742,
  bgo#524950, bgo#524344, bgo#525060, bgo#525192, bgo#524314,
  bgo#448943, bgo#525972, bgo#526619, bgo#491554, bgo#525866, and
  bgo#526796
  + Updated translations.
* Tue Apr 08 2008 sbrabec@suse.cz
- Fixed support for default application for particular MIME type in
  SuSEconfig.glib2.
- Split gnome_defaults.conf to a separate branding-style package,
  so branding vendors can easily change default applications.
- Build FAM GIO module in a separate package to support remote FS
  change notification without polling.
- Own %%{_libdir}/gio/modules directory.
* Fri Apr 04 2008 maw@suse.de
- Merge the BETA and STABLE branches
- Remove, pending further discussion, libgio-2_0-0's
  recommendation of gvfs.
* Tue Apr 01 2008 maw@suse.de
- Split out several shared library subpackages:
  + The new packages are:
  * libglib-2_0-0, which provides implementations of common data
  structures and algorithms
  * libgmodule-2_0-0, which provides portable loadable module
  functionality
  * libgthread-2_0-0, which provides portable threading
  functionality similar to that of pthreads
  * libgio-2_0-0, which provides abstracted IO operations
  * libgobject-2_0-0, which provides object oriented facilities
  available from C
  + Impact on consuming packages:
  * Consuming packages can continue to require glib2-devel to
  build
  * Packages that use AutoReqProv to pick up glib2 requirements
  should require no change
  * Packages that eschew AutoReqProv in favour of explicitly
  depending on glib2 will need to have their dependencies
  adjusted to explicitly depend upon the correct subpackage
  + The glib2 base package remains as a skeleton; the subpackages
  continue to depend upon it
  + The net effect of this change should be a reduction in the
  space required for applications which only consume a small part
  of glib2's functionality; packages which require more of it
  should see no change.
* Tue Apr 01 2008 coolo@suse.de
- moved recommendation of gvfs to gtk2
* Tue Apr 01 2008 sbrabec@suse.cz
- SuSEconfig script moved from gnome-vfs2 (bnc#372783).
* Mon Mar 31 2008 federico@novell.com
- Added glib2-bnc373149-bgo518160-gbookmark-optimizations.diff and
  glib2-bnc373149-bgo523877-gbookmark-optimizations.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=373149 - backport
  optimizations for GBookmarkFile.
* Mon Mar 17 2008 rodrigo@suse.de
- Upstream glib2-allocsize.patch that should have been upstreamed
* Thu Mar 13 2008 rodrigo@suse.de
- Update to version 2.16.1:
  * Fix a crash in g_themed_icon_new
  * Update the included PCRE to 7.6
- Tag patches
* Thu Feb 28 2008 jpr@suse.de
- Update to version 2.15.6:
  + GIO:
  * New file attributes: trash::item-count, filesystem::use-preview
  * Rename g_file_contains_file to g_file_has_prefix
  * g_file_query_filesystem_info grew async variants
  * g_themed_icon_append_name: new convenience function
  * g_content_type_get_icon is implemented now
  * Only show mounts in /media and ~
  * g_file_contains_file has been renamed to g_file_has_prefix
  + Win32:
  * g_win32_get_package_installation_directory_of_module: new
  function which supersedes
  g_win32_get_package_installation_directory
  * Use alertable wait functions so that I/O completion routines or
  user-mode Asynchronous Procedure Calls can be run
  * Fix race conditions in g_spawn implementation on win32
  * g_uri_get_scheme has been renamed go g_uri_parse_scheme
  + Updated translations
* Mon Feb 18 2008 maw@suse.de
- Remove glib-cast.patch at least temporarily.
* Mon Feb 18 2008 maw@suse.de
- Update to version 2.15.5:
  + GIO:
  * g_volume_should_automount: new function to determine if a
  volume should be mounted automatically
  * g_file_query_default_handler: new convenience function to
  get the default handler for a file
  * g_app_info_launch_default_for_uri new convenience function to
  launch the default handler for a URI
  * Use mimeapps.list and defaults.list as discussed on xdg list
  recently
  * g_app_info_get_default_for_uri_scheme has a real implementation
  now (gvfs provides a GConf-based implementation)
  * There is the beginning of a test suite
  * standard::description: new file attribute
  * GMountMountFlags flags argument added to mount calls
  + GObject:
  * class initialization is now threadsafe
  + The included PCRE has been bumped to 7.6; however, we continue
  using the system PCRE
  + Updated translations
- Respin glib-casts.patch once again.
* Tue Jan 29 2008 maw@suse.de
- Update to version 2.15.4:
  + G_GNUC_PRETTY_FUNCTION has been deprecated
  + GIO:
    - g_file_copy has an async variant now
    - Drives and volumes now have API to get identifiers
  like Hal UDIs or UUIDs
    - There is now a registration API to let modules register
  extensions they provide, such as volume monitor
  implementations
  + Bugs fixed: bgo#511807, bgo#316260, bgo#385132, bgo#484261,
  bgo#510292, bgo#511580, bgo#511654, bgo#487909, and bgo#512381
  + Updated translations.
* Thu Jan 24 2008 maw@suse.de
- Update to version 2.15.3:
  + GChecksum:
  * g_checksum_update can accept nul-terminated strings
  * The MD5 implementation works correctly on buffers
  that are longer than 64 bytes
  + GIO:
  * Don't include a copy of the inotify headers, rely on
  system headers
  * g_file_find_enclosing_mount has an async variant now
  * Reduntant seek API on file streams has been removed
  + Bugs (bugzilla.gnome.org) fixed: #508602, #508771, #508773,
  [#509465], #509626, #509990, #510448, and #510855
  + Updated translations.
* Wed Jan 23 2008 maw@suse.de
- Respin glib-cast.patch.
* Tue Jan 22 2008 maw@suse.de
- Recommend gvfs.
* Tue Jan 22 2008 maw@suse.de
- Update to version 2.15.2:
  + New API:
  * GIO: a new VFS API, designed to replace GnomeVFS.  The new
  GIO implementation in glib has support for local filesystems,
  and the new gvfs module (coming in a separate package)
  contains various backend implementations (cifs, ftp, sftp,
  http, etc)
  * GChesksum: a new implementation of various hash algorithms
  such as MD5, SHA-1, and SHA-256
  * GTest: a test framework
  * Smaller changes to GHash, GMarkup, GKeyfile, GAsyncQueue,
  GError and the i18n subsystem
  + Now builds with automake 1.10
  + Bugs (bugzilla.gnome.org) fixed: #455725, #467537, #497033,
  [#504527], #445362, #482313, #317775, #418778, #436293, #466557,
  [#468882], #469551, #479724, #490061, #490637, #495294, #496046,
  [#498113], #500506, #500638, #500875, #502511, #502927, #503029,
  [#503222], #503420, #503470, #504227, #71704, #491957, #491959,
  [#491965], #491966, #491968, #491970, #491974, #491975, #491979,
  [#491982], #501107, #501997, #502590, #464259, #496518, #498728,
  [#500361], #501853, #503862, #142676, #367550, #375651, #443648,
  [#449937], #452887, #491549, #500507, #508224, #508074, #508108,
  [#508309], #508378, #508719, #508773, #504829, #505258, #505815,
  [#491218], #315437, #476856, #480122, #495589, #500273, #504142,
  [#504879], #505042, #505058, #505674, #505730, #505887, #506374,
  [#506461], #503051, #506395, #507628, #505195, #507822, #506377,
  and #507835
  + Updated translations
- Remove glib-gcc43.patch, which has been upstreamed.
* Mon Dec 17 2007 maw@suse.de
- Update to version 2.14.4:
  + Bugs (bugzilla.gnome.org) fixed:
  [#494602], #492677, #490061, #418778, #467537, #466557, #490637,
  [#445362], #498113, #498728, and #469551
- Rename allocsize.patch to glib2-allocsize.patch.
* Thu Nov 29 2007 maw@suse.de
- Use the system's PCRE (#325921).
* Fri Nov 23 2007 maw@suse.de
- Update to version 2.14.3:
  + Bugs (bugzilla.gnome.org) fixed include #469231, #478349,
  [#483337], #478459, #477957, #359165, #476849, #493688, #488068,
  and #487491
  + Updated translations
  + Use PCRE 7.4
- Update gtk-doc.m4: use the version from gtk-doc 1.9.
* Mon Oct 15 2007 meissner@suse.de
- merge malloc size markup from BETA.
* Thu Oct 11 2007 rguenther@suse.de
- Fix glib2 headers for C99 programs and GCC 4.3.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 2.14.1:
  * more bugs fixed
  * documentation fixes
  * translation update
* Wed Aug 29 2007 maw@suse.de
- Update to version 2.14.0:
  + g_unichar_combining_class is public
  + Add a goffset type, and add G_MAXSSIZE and G_MINSSIZE
  + Use PCRE 7.2
  + Bugs (bugzilla.gnome.org) fixed: #453998, #462549, and
  [#417068]
  + Updated translations.
* Fri Aug 24 2007 maw@suse.de
- Update glib-casts.patch to fix g_array_index on ia64.
* Thu Aug 09 2007 sbrabec@suse.cz
- Removed gtk-doc from BuildRequires and included required
  gtk-doc.m4 to Sources (preprocessed docs are now included, this
  shortens bootstrap compilation path).
* Wed Aug 08 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Sun Aug 05 2007 maw@suse.de
- The previous changelog entry refers to #297636.
* Sun Aug 05 2007 schwab@suse.de
- Fix broken interface.
* Thu Jul 19 2007 maw@suse.de
- Update to version 2.13.7
  * The memory corruption warning from the slice allocator that
  occurred when threads were initialized after the slice allocator
  has been removed, as the slice allocator now works fine
  in this scenario.
  * New functions g_once_init_enter() and g_once_init_leave() make
  it easier to write threadsafe one-time initialization functions
  * Bugs fixed: [against bugzilla.gnome.org]
  454473 Simple XML Subset Parser terminates on invalid XML
  445813 g_module_open error, add file name
  453796 errno gets clobbered by g_filename_display_name
  341988 don't use "-c" with msgfmt in Makefile.in.in
  447048 Please produce slightly more output during long tests
  454785 GModule documentation lists same block of code twice.
  454786 GModule documentation lists same paragraph twice.
  383155 small docs quirks in gobject/closure API documentation
  65041  _get_type() functions aren't thread safe
  * Updated translations
  Assamese (as)
  Spanish (es)
  Gujarati (gu)
  Japanese (ja)
  Korean (ko)
  Macedonian (mk)
* Thu Jul 05 2007 maw@suse.de
- Update to version 2.13.5
- Overview of Changes from GLib 2.12 to GLib 2.13.0
  * Add GSequence, a list that is implemented using
  a balanced binary tree.
  * Add GRegex, an implementation of Perl regular expressions,
  based on PCRE.
  * Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available.
  * Support static initialization of GQeues with G_QUEUE_INIT,
  g_queue_init() and g_queue_clear().
  * Add g_string_chunk_clear() for clearing a
  GStringChunk.
  * Add g_unichar_get_script() to obtain Unicode
  script information.
  * Add g_unichar_iszerowidth() to obtain information
  about zero-width characters.
  * Add G_GNUC_MAY_ALIAS which wraps the gcc may_alias
  type attribute.
  * G_GNUC_INTERNAL has a working definition for the
  Sun Studio compiler. This requires the macro to
  be positioned before the function declaration.
  * The slice allocator can produce detailed debugging
  information with G_SLICE=debug-blocks.
  * Modules support G_DEBUG flags resident-modules and
  bind-now-modules.
  * Add G_DEFINE_DYNAMIC_TYPE() to make it easier
  to define types in modules.
  * Bug fixes: too many to list them in detail here.
  * New and updated translations (be,bg,bn,ca,cs,de,
  en_CA,en_GB,et,fa,fr,he,hu,it,ja,ku,lt,mg,mk,ml,
  nb,ne,nn,pt,pt_BR,ro,sr,sr@Latn,sv,ta,uk,vi,zh_CN,
  zh_HK,zh_TW)
* Thu Apr 12 2007 maw@suse.de
- Pass --enable-static to configure (#263998).
* Wed Mar 21 2007 maw@suse.de
- Update to version 2.12.11
- Fixes for bugzilla.gnome.org 399611, 350802, 416062, 346808,
  398069, 346808, 398203, 399971, 400044, 396899, 404832, and
  149144.
* Mon Mar 05 2007 jhargadon@suse.de
- removed obsolete patch glib2-unexpanded-variables.patch (#249204)
* Thu Feb 22 2007 sbrabec@suse.cz
- Removal of gnome-filesystem files moved to opt_gnome-compat.
* Fri Feb 16 2007 maw@suse.de
- Update to version 2.12.9
- Bugs fixed:
  397139 glib-2.12.8 breaks ABI
  393812 glib links against pthread
  394258 gthread.c: illegal include order
  394641 Undefined reference in gthread
  394150 gettime implementation breaks compilation on darwin 6
  395203 g_timer_elapsed off by 2 order of magnitude
  394262 image/* mimetype breaks stuff
  392636 glib-2.0.m4 ignores PKG_CONFIG environment variable
  395419 Glib-2.12.7 with mingw(w32api-3.8/windows) fails to compi...
  329031 G_GNUC_INTERNAL fails with gcc-2.95
  354707 No return() in non-void function
  387260 hang in zenity
  387823 glib 2.12.5 is breaking hal
  391370 Recent crash on file
  346955 NON-ASCII UTF-8 arg_description in GOptionEntry causes wr...
  371631 Bug in g_bit_nth_lsf?
  376645 Win32: Fatal warnings abort application even if IsDebugge...
  389300 g_utf8_collate_key modifies the locale
  390913 gslice.c: illegal declaration (C99)
  304517 glib/libcharset/localcharset.c/_g_locale_charset_raw: han...
  336438 unicode collate test failing
  391364 Warnings during ./configure due to $SED being undefined i...
  391367 config.status warning for datarootdir support in glib-get...
  371670 Faster g_bit_* operations
  302672 poll is completely broken on Mac OS X 10.4
  362328 errorcheck_mutex_test fails to compile due to missing -pthread
  316434 glib-2.6.6 fails to compile on AIX 5.1 due to assembler errors
  172406 gconvert.c, function open_converter
  327800 Hang during self-test of threads
  343825 Double expansion in m4macros/glib-gettext.m4 will fail with
  newer autoconf
  380801 build on Solaris does not work out of the box
  386252 HEAD broken with last commit
  138153 g_utf8_next_char problem with gcc -Wcast-qual
  161288 glib doesn't configure well on Mac OS < 10.3
  321977 GIOChannel ref_count private variable should be gint instead
  of guint
  343191 GKeyFile silently loses values
  346373 test failures in glib-2.10.3 on NetBSD
  347944 make check fails 2 test on Solaris 9
  355955 Hash tables in gwin32.c do not g_strdup their keys
  357585 Calls to set_cloexec inefficient on Solaris
  359190 gtimer.c failes to compile on solaris-2.9
  378078 extremely unlikely read-after-free in instance_real_class_get
  379207 gthreadpool.h causes warning with GCC and -Wshadow
  385132 solaris gettext support fix
  385910 Suprising behaviour with duplicate groups in GKeyFile
  386838 mapping-test freezes
  315061 compiler specific flag in gthread-2.0.pc
  362543 Compilation fail when configured with --disable-visibility
  362918 monotonic clock test uses AC_TRY_RUN
  369908 g_key_file_get_string not stripping final space
  373864 sanity_check is a bash script
  (These bugs are viewable on bugzilla.gnome.org)
- Make GKeyFile accept keys that are commonly used
- GKeyFile:
  + The stricter syntax checks introduced in 2.12.5 have been reduced
  to warnings for the 2.12 series
- GSlice:
  + The slice allocator has gained address validation that
  can be activated with the environment variable
  G_SLICE=debug-blocks
  + The allocator emits a warning if it detects too late
  thread initialization
- GOption:
  + Take double-width and zero-width characters into account
  when formatting --help output.
* Thu Jan 25 2007 sbrabec@suse.cz
- Remove obsolete files kept by gnome-filesystem package.
* Thu Dec 07 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov 02 2006 jhargadon@suse.de
- added a patch to m4macros/glib-gettext.m4 so that the build
  variables expand properly.
* Mon Oct 02 2006 jhargadon@suse.de
- update to version 2.12.4
- Fix build problems related to Posix timers
- Bugs fixed
  321974 nanosleep on AIX / g_timer API using high resolution timers
  353584 va_end called on caller supplied va_list
  353580 va_copy detection breaks if user sets
  CFLAGS=-Werror-implicit-function-declaration
  354522 Small problem with PLT hiding 6 symbols
  358421 typos in gmain.c
- New and updated translations
* Tue Sep 12 2006 jhargadon@suse.de
- update to version 2.12.3
- Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available
- Make the construction of singleton objects work
  witout warnings.
- 351583 API documentation issues with 2.15 release
- 336114 desktop locks immediately after changing the system clock
- 351853 GKeyFile creates non-UTF-8 error messages
- Translation updates (fr,hu,ja,ku,lt,lv,ml,or,
  pt,ru,sv,vi,zh_CN)
* Tue Aug 29 2006 jhargadon@suse.de
- update to version 2.12.2
- Normalization is following Unicode TR #29
- 348491 g_utf8_strup() and g_utf8_strdown() returns
  string with NUL bytes
- 349825 GKeyFile always inserts a newline before a group
- 347842 g_unichar_isxdigit() is too general about what
  it considers a digit
- 348694 g_utf8_normalize() hasn't been updated to PR #29
- 348785 Hint about G_DEBUG in Message Logging docs
- 349792 Wrong english string
- 349952 gparamspecs.c uses gcc feature
- Translation updates
* Mon Jul 31 2006 gekker@suse.de
- Update to version 2.12.1
  * Update to final Unicode Character Database 5.0.0
  * Bugs fixed:
  346660 issues with base64 api documentation / g_base64_decode_cl...
  348136 Coverity reports allocation of wrong size CID #2839
  336281 Update to UCD 5.0
  346197 g_date_strftime %%F option doesnt work for win32
  348011 Small optimization to real_toupper()
  246494 prototype mismatch in glib/gconvert.c
  * New and updated translations (bg,bn_IN,ca,dz,eu,fi,
  fr,he,it,ja,mk,or,pt)
* Tue Jul 18 2006 rml@suse.de
- Update to glib 2.12:
	- Lots of bug fixes
	- GSlice!
- Drop upstream patches
* Tue Jun 06 2006 sbrabec@suse.cz
- Fixed locale detection in profile scripts (#180613):
  * Fixed invalid charset typos.
  * Added support for Persian, Armenian and Khmer.
  * Added ISO-8859-1 fallback where applicable.
* Thu Mar 30 2006 sbrabec@suse.cz
- Renamed profile to be executed after lang.*, otherwise
  G_FILENAME_ENCODING cannot be set.
* Thu Jan 26 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 gekker@suse.de
- Fix gstaticmutex define (#141215 patch byjblunck)
* Mon Jan 16 2006 zsu@suse.de
- Fixed implicit cast issue introduced by bugfix #316221
  http://bugzilla.gnome.org/show_bug.cgi?id=327022
* Fri Jan 13 2006 sbrabec@suse.cz
- Updated to version 2.8.5.
* Mon Jan 02 2006 sbrabec@suse.cz
- Fixed Aragonese support in profile scripts.
* Fri Nov 18 2005 sbrabec@suse.cz
- Updated to version 2.8.4.
* Mon Nov 14 2005 sbrabec@suse.cz
- Fixed strict aliasing problems in macros.
  http://bugzilla.gnome.org/show_bug.cgi?id=316221
* Fri Nov 04 2005 schwab@suse.de
- Fix use of atomic builtins.
* Tue Oct 11 2005 gekker@suse.de
-  Update to version 2.8.3
* Wed Sep 28 2005 gekker@suse.de
- Update to version 2.8.2
- Add -fno-strict-aliasing to CFLAGS
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.8.1
* Mon Aug 15 2005 rodrigo@suse.de
- Update to version 2.8.0
* Wed Aug 10 2005 gekker@suse.de
- Update to version 2.7.7
* Mon Aug 01 2005 gekker@suse.de
- Update to version 2.7.4
* Thu Jul 21 2005 gekker@suse.de
- Update to version 2.7.2
* Thu Jun 23 2005 sbrabec@suse.cz
- Fixed devel dependencies.
* Thu Jun 16 2005 gekker@suse.de
- Update to version 2.7.0.
- Fix SENTINEL patch to work with upstream version.
* Tue Jun 07 2005 gekker@suse.de
- Update to version 2.6.4.
* Tue May 31 2005 schwab@suse.de
- Build in parallel.
- Use autoreconf.
* Wed Apr 06 2005 schwab@suse.de
- Cleanup neededforbuild.
* Wed Apr 06 2005 meissner@suse.de
- Added gettext-devel to neededforbuild.
* Fri Apr 01 2005 meissner@suse.de
- disable visibility hackery to build with gcc4.
* Wed Mar 02 2005 gekker@suse.de
- Updated to version 2.6.3.
* Mon Feb 07 2005 sbrabec@suse.cz
- Updated to version 2.6.2.
* Wed Jan 19 2005 meissner@suse.de
- define G_GNUC_SENTINEL for gcc >= 4
- specify G_GNUC_SENTINEL where applicable.
* Sun Jan 16 2005 clahey@suse.de
- Updated to version 2.6.1.
* Mon Jan 03 2005 gekker@suse.de
- Update to version 2.6.0
* Wed Dec 22 2004 ro@suse.de
- remove no translation (obsolete with nb present)
* Tue Dec 14 2004 gekker@suse.de
- Update version to 2.5.7.
- Remove the no-no patch, as it is upstreamed.
* Tue Nov 16 2004 clahey@suse.de
- Update to glib 2.5.6.
* Mon Oct 18 2004 ro@suse.de
- remove no locale support: nb is already there
* Tue Oct 12 2004 sbrabec@suse.cz
- Require gnome-filesystem (#47068).
* Wed Sep 29 2004 sbrabec@suse.cz
- Fixed glib2.csh for unset LANG (#46282).
* Wed Aug 25 2004 federico@ximian.com
- Update to glib 2.4.5
- Removed glib-pattern.diff, as this bug is fixed in the tarball.
* Wed Aug 25 2004 kukuk@suse.de
- Avoid /bin/sh as PreRequire
* Tue Jul 06 2004 coolo@suse.de
- glib2-devel requires the very same version of glib2
* Tue Jun 22 2004 sbrabec@suse.cz
- glib2.sh, glib2.csh: G_FILENAME_ENCODING must be comma separated.
* Tue Jun 08 2004 sbrabec@suse.cz
- Fixed glib2.csh (#41665).
* Wed May 05 2004 sbrabec@suse.cz
- Added pkgconfig to requirement of glib2-devel (#37628).
* Mon Apr 19 2004 sbrabec@suse.cz
- Fix of strict aliasing fix.
* Mon Apr 19 2004 sbrabec@suse.cz
- Fixed strict aliasing.
* Thu Apr 15 2004 sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.6).
- Removed gconvert-errno-altering.patch - this one was not accepted for
  mainstream but strerror() errno altering was fixed.
- Added filename encoding guesser to /etc/profile.d/glib2.*.
* Mon Mar 22 2004 sbrabec@suse.cz
- Removed references to mkinstalldirs in glib-gettextize (#36621).
* Wed Mar 17 2004 sbrabec@suse.cz
- Use -fno-strict-aliasing.
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan 09 2004 schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Oct 17 2003 adrian@suse.de
- fix missing %%run_ldconfig
- build as user
* Wed Sep 24 2003 sbrabec@suse.cz
- Added errno save patches (g_strerror(errno) alters errno).
  Fixes more issues, at least:
  http://bugzilla.gnome.org/show_bug.cgi?id=116617
  http://bugzilla.gnome.org/show_bug.cgi?id=122939
  http://bugzilla.gnome.org/show_bug.cgi?id=123040
* Mon Sep 15 2003 sf@suse.de
- remove debug flags, add -O2 again
* Thu Sep 11 2003 sf@suse.de
- fix segfault in eog on AMD64 [bug 30483]
* Thu Aug 28 2003 sbrabec@suse.cz
- Updated to version 2.2.3.
* Tue Jul 15 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Profile files modified.
* Wed Jun 11 2003 sbrabec@suse.cz
- Updated to version 2.2.2.
- Require gnome-filesystem for glib2-doc.
- Updated neededforbuild.
* Tue Mar 11 2003 olh@suse.de
- provide static glib version (#24897)
* Mon Feb 03 2003 hhetter@suse.de
- updated to version 2.2.1, from changes:
  * Win32
	  - Improve handling of stderr/stdout
	  - Install .def files
 	  - Fix quoting for GSpawn
	  - Miscellaneous bug fixes
  * configure fixes
  * New and updated translations
* Fri Jan 10 2003 sbrabec@suse.cz
- Branched glib2-doc.
* Thu Jan 09 2003 sbrabec@suse.cz
- Updated to version 2.2.0.
- Updated %%files.
* Tue Nov 05 2002 hhetter@suse.de
- updated to version 2.0.7, bugfix release:
  * Fix C++ warnings in gtype.h
  * Fix g_type_fundamental_next()
  * Fix various missing includes of config.h
  * Handle main loop initialization before g_thread_init
  * Various 64-bit fixes
  * Fix GPoll on Win32
  * Fix bug with buffering on UTF-8 IOChannels
  * Misc bug and build fixes
  * Updated and new translations (be,cs,de,fa,it,lv,pt_BR,tr)
* Tue Aug 13 2002 hhetter@suse.de
- gtk-doc usage conditional
* Tue Aug 13 2002 hhetter@suse.de
- correct URL and Source tag in specfile (#17638)
* Thu Aug 08 2002 hhetter@suse.de
- devel package requires glib2
* Mon Aug 05 2002 hhetter@suse.de
- updated to version 2.0.6, fron changes:
  * Fix problem with interface prerequisites
  * Clean up debug spew from GObject
  * Compiler warning fixes
  * Fix some problems with g_build_path()
  * Fixes for --disable-debug
  * Threading fixes
  * Documentation fixes
  * Misc bug fixes
  * Updated translations (bg,ko,vi)
* Mon Jun 17 2002 jordi@suse.de
- Updated to version 2.0.4
  * Fix some 64-bit problems
  * Add note about Tru64 iconv to INSTALL
  * Fix problem with timouts > MAXINT
  * Updated translations
* Fri Jun 14 2002 ro@suse.de
- add gnome2.{sh,csh} to have /opt/gnome2/bin first in PATH
  on 7.3 and older distros
* Tue Jun 04 2002 hhetter@suse.de
- updated to version 2.0.3
* Thu Apr 25 2002 meissner@suse.de
- fixed %%_lib issues.
* Tue Apr 09 2002 schwab@suse.de
- Fix missing includes.
* Mon Apr 08 2002 hhetter@suse.de
- updated to version 2.0.1
* Thu Jan 31 2002 hhetter@suse.de
- updated to version 1.3.13 [GNOME desktop alpha2]
* Fri Jan 11 2002 hhetter@suse.de
- updated to version 1.3.12
* Tue Dec 11 2001 ro@suse.de
- export LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 hhetter@suse.de
- updated to version 1.3.11, changes include:
  * Win32 fixes
  * Documentation improvements
  * Portable directory handling API
  * Threading fixes
  * Fix excess relocations in Unicode tables
  * Fix gpattern for UTF-8
  * Support overriding class closures
  * Support for derivation from G_TYPE_POINTER
  * Hide pointers to type information inside GType to reduce locking
  * Adds check for direct inclusion of gobject/*.h
  * GObject API cleanups
* Tue Nov 20 2001 ro@suse.de
- really build libgmodule, libgobject and libgthread
* Thu Nov 15 2001 hhetter@suse.de
- fixed build to provide libgmodule and libgobject
* Tue Nov 13 2001 hhetter@suse.de
- updated to version 1.3.10
* Mon Oct 01 2001 hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
